Bug 26212 - Remove the use of jquery.checkboxes plugin from pending offline circulations
Summary: Remove the use of jquery.checkboxes plugin from pending offline circulations
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-14 13:38 UTC by Owen Leonard
Modified: 2020-09-10 03:41 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26212: Remove the use of jquery.checkboxes plugin from pending offline circulations (3.94 KB, patch)
2020-08-14 14:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26212: Remove the use of jquery.checkboxes plugin from pending offline circulations (4.06 KB, patch)
2020-08-14 14:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26212: Remove the use of jquery.checkboxes plugin from pending offline circulations (4.12 KB, patch)
2020-08-17 16:22 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26212: Remove the use of jquery.checkboxes plugin from pending offline circulations (4.18 KB, patch)
2020-08-17 21:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-14 13:38:49 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the pending offline circulations page.
Comment 1 Owen Leonard 2020-08-14 14:01:50 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-08-14 14:10:10 UTC Comment hidden (obsolete)
Comment 3 Amit Gupta 2020-08-17 16:22:40 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2020-08-17 21:40:36 UTC
Hm I tried uploading the file as decribed... but:

Can't use an undefined value as an ARRAY reference at /home/vagrant/kohaclone/offline_circ/enqueue_koc.pl line 148 

Not sure if that's only me?
Comment 5 Katrin Fischer 2020-08-17 21:43:25 UTC
Created attachment 108418 [details] [review]
Bug 26212: Remove the use of jquery.checkboxes plugin from pending offline circulations

This patch removes the use of the jquery.checkboxes plugin from the
pending offline circulations page, replacing it with in-page JS.

Unrelated: The JS-based creation of the "select all" and "clear all"
controls has been replaced with HTML links. Labels are added to the
results table to make checkbox selection easier.

To test, apply the patch and go to Circulation.

- Upload an offline circulation file (.koc) with multiple transactions.
  If you don't want to generate this file using the desktop application
  or Firefox add-on you can create a text file like this (tab
  separated):

  Version=1.0    Generator=koct-firefox    GeneratorVersion=0.1
  2020-08-14 13:24:21    issue    0109132    33000000093476

- Go to Pending offline circulation actions. You should see the list of
  transactions you uploaded.
- Test that the "Check all" and "Uncheck all" controls work correctly.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-08-17 21:44:29 UTC
Created my transactions using the plugin instead - the checkboxes behave nicely.
Comment 7 Jonathan Druart 2020-08-18 15:48:09 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-09-04 15:15:44 UTC
backported to 20.05.x for 20.05.04
Comment 9 Aleisha Amohia 2020-09-10 03:41:26 UTC
enhancement, not backported to 19.11.x